X2Go Bug report logs - #929
Fwd: [Bug 1256800] New: [abrt] x2goclient: SessionManageDialog::slot_endisable(): x2goclient killed by SIGSEGV

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Tue, 25 Aug 2015 17:35:02 UTC

Severity: normal

Tags: pending

Merged with 921

Found in version 4.0.5.0

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#929; Package x2goclient. (Tue, 25 Aug 2015 17:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 25 Aug 2015 17:35:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Fwd: [Bug 1256800] New: [abrt] x2goclient: SessionManageDialog::slot_endisable(): x2goclient killed by SIGSEGV
Date: Tue, 25 Aug 2015 11:31:19 -0600
Package: x2goclient
Version: 4.0.5.0


-------- Forwarded Message --------
Subject: [Bug 1256800] New: [abrt] x2goclient:
SessionManageDialog::slot_endisable(): x2goclient killed by SIGSEGV
Date: Tue, 25 Aug 2015 13:18:38 +0000
From: bugzilla@redhat.com
To: orion@cora.nwra.com

https://bugzilla.redhat.com/show_bug.cgi?id=1256800

            Bug ID: 1256800
           Summary: [abrt] x2goclient:
                    SessionManageDialog::slot_endisable(): x2goclient
                    killed by SIGSEGV
           Product: Fedora
           Version: 22
         Component: x2goclient
          Assignee: orion@cora.nwra.com
          Reporter: paulo.fidalgo.pt@gmail.com
        QA Contact: extras-qa@fedoraproject.org
                CC: orion@cora.nwra.com



Description of problem:
I was updating the settings of a running connection. Changed the quality
settings to default and enabled audio.

Version-Release number of selected component:
x2goclient-4.0.5.0-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/x2goclient
crash_function: SessionManageDialog::slot_endisable
executable:     /usr/bin/x2goclient
global_pid:     28760
kernel:         4.0.8-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SessionManageDialog::slot_endisable at ../src/sessionmanagedialog.cpp:205
 #1 QMetaObject::activate at kernel/qobject.cpp:3567
 #2 QTreeWidget::currentItemChanged at
.moc/release-shared/moc_qtreewidget.cpp:269
 #3 QMetaObject::activate at kernel/qobject.cpp:3567
 #4 QItemSelectionModel::currentChanged at
.moc/release-shared/moc_qitemselectionmodel.cpp:172
 #5 QItemSelectionModel::clear at itemviews/qitemselectionmodel.cpp:1123
 #6 QTreeWidget::clear at itemviews/qtreewidget.cpp:3273
 #7 SessionManageDialog::loadSessions at ../src/sessionmanagedialog.cpp:142
 #8 SessionManageDialog::slot_edit at ../src/sessionmanagedialog.cpp:251
 #9 QMetaObject::activate at kernel/qobject.cpp:3567

-- 
You are receiving this mail because:
You are on the CC list for the bug.
You are the assignee for the bug.



Merged 921 929 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 14 Jan 2016 02:40:01 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 14 Jan 2016 04:20:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.5.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 14 Jan 2016 04:20:04 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 24 Mar 2016 20:40:31 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Thu, 24 Mar 2016 20:40:31 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 22 Apr 2016 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jul 23 12:18:59 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.